// 分公司特殊组件页面注册

import Vue from 'vue'

export default function () {
  // 营业分项汇总报表
  Vue.component('sell-dep-report', (resolve) => { require(['./SellDepReport'], resolve) })
  // 潜能收费日结账
  Vue.component('manage-bus-summary', (resolve) => { require(['./ManageBusSummary'], resolve) })

  // ************潜能自定义报表start*************
  // 违约金减免明细
  Vue.component('qn-weiyuejingmx', (resolve) => { require(['./QnWeiyuejingmx'], resolve) })
// 抄表明细
  Vue.component('qn-chaobiaomingxi', (resolve) => { require(['./QnChaobiaomingxi'], resolve) })
// 抄表按用气性质汇总
  Vue.component('qn-chaobiaoyqxzhz', (resolve) => { require(['./QnChaobiaoyqxzhz'], resolve) })
// 抄表按用户汇总
  Vue.component('qn-chaobiaoyhhz', (resolve) => { require(['./QnChaobiaoyhhz'], resolve) })
// 调价补差统计表
  Vue.component('qn-tiaojiabuchatjb', (resolve) => { require(['./QnTiaojiabuchaTJB'], resolve) })

// 潜能结构气报表
  Vue.component('qn-jgqreport', (resolve) => { require(['./QnJgqReport'], resolve) })
// 潜能结构气报表----------------综合档案查询
  Vue.component('qn-jgq-zhdacx', (resolve) => { require(['./QnJgqZhdacx'], resolve) })
  // 潜能结构气报表----------------综合档案查询正定
  Vue.component('qn-jgq-zhdacxzd', (resolve) => { require(['./QnJgqZhdacxZD'], resolve) })
// 潜能结构气报表----------------煤改气报表
  Vue.component('qn-jgq-mgqbb', (resolve) => { require(['./QnJgqMgqbb'], resolve) })
// 潜能结构气报表----------------工商汇总报表
  Vue.component('qn-jgq-gshzbb', (resolve) => { require(['./QnJgqGshzbb'], resolve) })
// 潜能结构气报表----------------工商销售明细
  Vue.component('qn-jgq-gsxsmx', (resolve) => { require(['./QnJgqGsxsmx'], resolve) })
// 潜能结构气报表----------------工商销售明细金乡
  Vue.component('qn-jgq-gsxsmxjx', (resolve) => { require(['./QnJgqGsxsmxJX'], resolve) })
// 潜能结构气报表----------------民用汇总报表
  Vue.component('qn-jgq-myhzbb', (resolve) => { require(['./QnJgqMyhzbb'], resolve) })
// 潜能结构气报表----------------民用销售明细
  Vue.component('qn-jgq-myxsmx', (resolve) => { require(['./QnJgqMyxsmx'], resolve) })
// 潜能结构气报表----------------民用销售明细金乡
  Vue.component('qn-jgq-myxsmxjx', (resolve) => { require(['./QnJgqMyxsmxJX'], resolve) })
// 潜能结构气报表----------------销售结构报表
  Vue.component('qn-jgq-xsjgbb', (resolve) => { require(['./QnJgqXsjgbb'], resolve) })
// 潜能结构气报表----------------销售结构报表（汶上）
  Vue.component('qn-jgq-xsjgbbws', (resolve) => { require(['./QnJgqXsjgbbWs'], resolve) })
// 潜能结构气报表----------------销售结构报表（金乡）
  Vue.component('qn-jgq-xsjgbbjx', (resolve) => { require(['./QnJgqXsjgbbJX'], resolve) })

  // 潜能结构气报表----------------机表抄表报表（正定）
  Vue.component('qn-jgq-cbjbzd', (resolve) => { require(['./QnJgqCbjbZD'], resolve) })
  // 潜能结构气报表----------------物联网抄表报表（正定）
  Vue.component('qn-jgq-cbwlwzd', (resolve) => { require(['./QnJgqCbwlwZD'], resolve) })
  // 潜能结构气报表----------------物联网抄表明细（正定）
  Vue.component('qn-jgq-cbmxzd', (resolve) => { require(['./QnJgqCbmxZD'], resolve) })
  // 潜能结构气报表----------------收费报表（正定）
  Vue.component('qn-jgq-sfzd', (resolve) => { require(['./QnJgqSfZD'], resolve) })

  // 潜能结构气报表----------------用户数报表
  Vue.component('qn-jgq-yhsbb', (resolve) => { require(['./QnJgqYhsbb'], resolve) })
  // 报表查询 --> 其他报表菜单
  Vue.component('qnotherreport', (resolve) => { require(['./QnOtherReport'], resolve) })

  //太康安全装置加装项目20230621
  //安全装置加装  加装花名册
  Vue.component('qn-aqzz-hmc', (resolve) => { require(['./QnAqzzHmc'], resolve) })
  //安全装置加装  缴费明细
  Vue.component('qn-aqzz-jfmx', (resolve) => { require(['./QnAqzzJfmx'], resolve) })
  //安全装置加装  乡镇汇总
  Vue.component('qn-aqzz-xzhz', (resolve) => { require(['./QnAqzzXzhz'], resolve) })
  //安全装置加装  乡镇居委会汇总
  Vue.component('qn-aqzz-xzjwhhz', (resolve) => { require(['./QnAqzzXzjwhhz'], resolve) })
  //安全装置加装  验收明细
  Vue.component('qn-aqzz-ysmx', (resolve) => { require(['./QnAqzzYsmx'], resolve) })
  //安全装置加装  验收报表
  Vue.component('qn-aqzz-ysbb', (resolve) => { require(['./QnAqzzYsbb'], resolve) })
  Vue.component('qn-aqzz', (resolve) => { require(['./QnAqzz'], resolve) })

  // 潜能结构气报表-------20241202---------工商抄表明细
  Vue.component('qn-jgq-gscbmxtl', (resolve) => { require(['./QnJgqGscbmxTL'], resolve) })
  // 潜能结构气报表-------20241202---------民用抄表明细
  Vue.component('qn-jgq-mycbmxtl', (resolve) => { require(['./QnJgqMycbmxTL'], resolve) })
  // **************潜能自定义报表end***************
}
